Listing Restrictions

GET/channels/amazon/{channel}/listing-restrictions

Index stored listing restrictions

Required attributes

  • Name
    channel
    Type
    integer
    Description
    The ID of the Amazon channel 1

Optional attributes

  • Name
    q
    Type
    string
    Description
    Search language filter. Supported fields: `asin`, `marketplace_id`, and `condition_type`.
  • Name
    page
    Type
    integer
    Description
    The page number to retrieve (1-indexed) 1
  • Name
    per_page
    Type
    integer
    Description
    The number of items per page 15

Request

GET/channels/amazon/{channel}/listing-restrictions
curl -G https://YOUR_DOMAIN/api/channels/amazon/{channel}/listing-restrictions \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...
GET/channels/amazon/{channel}/fetch-listing-restrictions

Fetch listing restrictions from Amazon

Required attributes

  • Name
    channel
    Type
    integer
    Description
    The ID of the Amazon channel 1
  • Name
    asin
    Type
    string
    Description
    B00ZB18SIF
  • Name
    condition_type
    Type
    string
    Description
    new_new

Request

GET/channels/amazon/{channel}/fetch-listing-restrictions
curl -G https://YOUR_DOMAIN/api/channels/amazon/{channel}/fetch-listing-restrictions \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"